> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qonto.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a SEPA Direct Debit mandate

> OAuth scope: `sepa_direct_debit.write`

Create a SEPA Direct Debit mandate for a client. The response includes `sign_url` only when `payment_info` is provided in the request.




## OpenAPI

````yaml post /v2/sepa/direct_debit_mandates
openapi: 3.1.1
info:
  version: v2
  title: Qonto
servers:
  - url: https://thirdparty.qonto.com
    description: Production URL
  - url: https://thirdparty-sandbox.staging.qonto.co
    description: Sandbox URL
security:
  - OAuth:
      - organization.read
      - membership.read
      - membership.write
      - attachment.write
      - internal_transfer.write
      - payment.write
      - supplier_invoice.write
      - supplier_invoice.read
      - client_invoices.read
      - client_invoice.write
      - client.read
      - client.write
      - product.read
      - product.write
      - request_review.write
      - request_review.read
      - team.read
      - team.write
      - request_transfers.write
      - insurance_contract.read
      - insurance_contract.write
      - card.read
      - card.write
      - bank_account.write
      - beneficiary.trust
      - webhook
      - payment_link.write
      - payment_link.read
      - sepa_direct_debit.read
      - sepa_direct_debit.write
      - terminal.read
      - terminal.write
  - SecretKey: []
paths:
  /v2/sepa/direct_debit_mandates:
    parameters:
      - $ref: '#/components/parameters/X-Qonto-Staging-Token'
    post:
      tags:
        - SEPA Direct Debit
      summary: Create a SEPA Direct Debit mandate
      description: >
        OAuth scope: `sepa_direct_debit.write`


        Create a SEPA Direct Debit mandate for a client. The response includes
        `sign_url` only when `payment_info` is provided in the request.
      operationId: createDirectDebitMandate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateDirectDebitMandateRequest'
      responses:
        '201':
          description: The SEPA Direct Debit mandate has been created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DirectDebitMandateResponse'
        '400':
          $ref: '#/components/responses/400-Bad-request'
        '401':
          $ref: '#/components/responses/401-Unauthorized'
        '403':
          $ref: '#/components/responses/403-Forbidden'
        '500':
          $ref: '#/components/responses/500-Internal-Server-Error'
      security:
        - OAuth:
            - sepa_direct_debit.write
components:
  parameters:
    X-Qonto-Staging-Token:
      name: X-Qonto-Staging-Token
      in: header
      description: >-
        Required only for Sandbox API requests; to get one, please sign up to
        the [Developer Portal](https://developers.qonto.com/).
      schema:
        type: string
  schemas:
    CreateDirectDebitMandateRequest:
      type: object
      required:
        - direct_debit_mandate
      properties:
        direct_debit_mandate:
          type: object
          required:
            - client_id
          properties:
            client_id:
              type: string
              format: uuid
            payment_info:
              $ref: '#/components/schemas/DirectDebitMandatePaymentInfo'
            send_mandate_signature_email:
              type: boolean
              description: When true, send the mandate signature email to the debitor.
    DirectDebitMandateResponse:
      type: object
      required:
        - direct_debit_mandate
      properties:
        direct_debit_mandate:
          $ref: '#/components/schemas/DirectDebitMandate'
    DirectDebitMandatePaymentInfo:
      type: object
      required:
        - first_payment
        - notify_client
        - schedule_type
      properties:
        first_payment:
          $ref: '#/components/schemas/DirectDebitMandateFirstPayment'
        notify_client:
          type: boolean
        schedule_type:
          type: string
          enum:
            - one_off
          description: Schedule type for the mandate
    DirectDebitMandate:
      type: object
      required:
        - id
        - unique_mandate_reference
        - client_id
        - status
        - created_at
      properties:
        id:
          type: string
          format: uuid
        unique_mandate_reference:
          type: string
        client_id:
          type: string
          format: uuid
        status:
          type: string
          example: pending_signature
        mandate_signature_date:
          type: string
          format: date-time
          description: ISO8601 date-time when the mandate was signed, absent otherwise
          example: '2026-01-01T00:00:00Z'
        schedule_type:
          type: string
          enum:
            - one_off
          description: Schedule type for the mandate, absent otherwise
        notify_client:
          type: boolean
          description: >-
            Whether to notify the debtor when a collection is scheduled, absent
            otherwise.
        sign_url:
          type: string
          format: uri
          description: >-
            The URL to sign the mandate electronically. Only returned when
            `payment_info` was provided on mandate creation; absent otherwise.
        created_at:
          type: string
          format: date-time
          description: ISO8601 date-time when the mandate was created.
    BadRequestResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/BadRequestError'
      required:
        - errors
    UnauthorizedResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/UnauthorizedError'
      required:
        - errors
    ForbiddenResponseBody:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ForbiddenError'
      required:
        - errors
    DirectDebitMandateFirstPayment:
      type: object
      required:
        - collection_date
        - amount
        - reference
      properties:
        collection_date:
          type: string
          format: date
          description: ISO8601 date (YYYY-MM-DD) when the first collection will be executed
          example: '2026-01-01'
        amount:
          $ref: '#/components/schemas/DirectDebitMandateAmount'
        reference:
          type: string
          description: Reference for the collection
    BadRequestError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
        source:
          type: object
          properties:
            pointer:
              type: string
              description: >-
                The property in the request body that caused the error
                (optional).
            parameter:
              type: string
              description: The query parameter that caused the error (optional).
      required:
        - code
        - detail
      x-examples:
        Authorization field missing:
          code: bad_request
          detail: Authorization field missing
    UnauthorizedError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Invalid credentials:
          code: unauthorized
          detail: Invalid credentials
    ForbiddenError:
      type: object
      properties:
        code:
          type: string
          description: Error code.
        detail:
          type: string
          description: Human readable error that explains error `code`.
      required:
        - code
        - detail
      x-examples:
        Insufficient permissions:
          code: forbidden
          detail: User does not have sufficient permissions for this action.
    DirectDebitMandateAmount:
      type: object
      required:
        - value
        - currency
      properties:
        value:
          type: string
          description: Amount as decimal string
          example: '102.34'
        currency:
          type: string
          description: ISO 4217 currency code
          example: EUR
  responses:
    400-Bad-request:
      description: Returns a bad request error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BadRequestResponseBody'
          examples:
            Authorization field missing:
              value:
                errors:
                  - code: bad_request
                    detail: Authorization field missing
    401-Unauthorized:
      description: Returns an unauthorized error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/UnauthorizedResponseBody'
          examples:
            authorization_header_missing:
              value:
                errors:
                  - code: authorization_header_missing
                    detail: authorization header missing
            authorization_token_invalid:
              value:
                errors:
                  - code: authorization_token_invalid
                    detail: authorization token invalid
    403-Forbidden:
      description: Returns a forbidden error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ForbiddenResponseBody'
          examples:
            Insufficient permissions:
              value:
                errors:
                  - code: forbidden
                    detail: User does not have sufficient permissions for this action.
    500-Internal-Server-Error:
      description: Returns an internal server error.
  securitySchemes:
    OAuth:
      type: oauth2
      description: >
        Bearer authorization header: `Bearer <token>`, where `<token>` is the
        access token received from the authorization server at the end of the
        [OAuth 2.0
        flow](/get-started/business-api/authentication/oauth/oauth-flow).
      flows:
        authorizationCode:
          refreshUrl: https://oauth.qonto.com/oauth2/token
          authorizationUrl: https://oauth.qonto.com/oauth2/auth
          scopes:
            attachment.read: Retrieve attachments
            attachment.write: Upload attachments and remove attachments from transactions
            bank_account.write: Create, update and close bank accounts
            beneficiary.trust: Trust SEPA beneficiaries
            card.read: Retrieve cards
            card.write: Create or update cards
            client.read: Retrieve clients
            client.write: Create clients
            client_invoice.write: Create client invoices
            client_invoices.read: Retrieve client invoices and credit notes
            einvoicing.read: Retrieve e-invoicing settings
            embed_auth_link.write: Create Embed auth links
            insurance_contract.read: Retrieve insurance contracts
            insurance_contract.write: Create and update insurance contracts
            internal_transfer.write: >-
              Create internal transfers (between 2 Qonto accounts of the same
              organization)
            international_transfer.write: Create international transfers
            membership.read: Retrieve the authentified membership
            membership.write: Invite team members
            offline_access: Retrieve a refresh token
            organization.read: >-
              Retrieve organization, bank accounts, transactions, transfers,
              beneficiaries, labels, memberships, requests & statements
            payment.write: Create external transfers and untrust beneficiaries
            payment_link.read: >-
              Retrieve payment links, their payments, and the available payment
              methods
            payment_link.write: >-
              Connect to the payment links provider, create and deactivate
              payment links
            product.read: Retrieve products
            product.write: Create products
            request_cards.write: Create card requests
            request_review.write: Approve or decline requests
            request_transfers.write: Create transfer requests
            sepa_direct_debit.read: View SEPA Direct Debit payments
            sepa_direct_debit.write: Manage SEPA Direct Debit payments
            supplier_invoice.read: Retrieve supplier invoices
            supplier_invoice.write: Create supplier invoices
            team.read: Retrieve teams
            team.write: Create teams
            terminal.read: View your payment terminals
            terminal.write: Configure your terminals and initiate payments
            webhook: >-
              Receive a notification each time a particular event occurs in
              Qonto
          tokenUrl: https://oauth.qonto.com/oauth2/token
    SecretKey:
      type: apiKey
      description: cf. [API key](/get-started/business-api/authentication/api-key)
      name: Authorization
      in: header

````